GTK3-based Twitter App ‘Corebird’ In Development
================================================================================
Corebird is a Twitter app with an interface reminiscent of Twitter’s [official app](https://itunes.apple.com/gb/app/twitter/id409789998?mt=12%27) for OS X.

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/10/Screen-Shot-2013-10-11-at-16.46.53.png)

Corebird – written by an Arch user – has a look and feature set with GNOME 3.10 in mind.

The interface uses GTK3, so it’ll feel right at home alongside your other GTK-based apps. Corebird makes full use of the new Header Bars that we highlighted in [our top features][2] from the latest GNOME 3.10 release. The header shows your Twitter handle, avatar, and a button to quickly compose a new tweet, consolidating what might’ve been a separate toolbar into a single, compact header.

Though the interface may be tuned for GNOME 3.10, the features packed into the app are bound to make friends amongst Twitter addicts using GNOME or otherwise.

## Features ##

Corebird resembles, in some ways, the official Twitter app for Mac (and that’s a good thing!) and has the feature set to show for it. Retweet, favourite, follow, search, profile view, conversations, media uploads, and a number of other features are all in working order.

If you manage several accounts, multi-account setups are also supported, though be aware that the latest builds remove configured accounts when you close and reopen the app.

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/10/corebird_notification.jpg)

*A Corebird notification on the GNOME lock screen.*

Corebird also makes use of notifications on the GNOME lockscreen, displaying the number of Twitter notifications when you make your way back to your computer.

![](http://www.omgubuntu.co.uk/wp-content/uploads/2013/10/corebird_dark.png)

The app comes with both light and dark themes, making it easier on your eyes when Twittering at night. A handful of other settings, including which notifications to display and a toggle for showing inline media, are also available in the compact settings dialog.

## How to Get Corebird ##

If you’re still using 13.04, you might be out of luck. Corebird uses new features from GNOME 3.10 that most likely won’t make their way to Ubuntu 13.04. If you’ve upgraded to 13.10 ahead of its release next week, GNOME 3.10 is already available for Saucy in the sundry GNOME 3 PPAs.

Corebird is still in development and a PPA hasn’t been made available (though it is currently in the [Arch User Repository][3] if any Arch users have wandered in), so you’ll need to build Corebird by hand.

The project is a promising sign given the number of other Linux Twitter apps that’ve seen their development slow down – e.g., Birdie which failed to reach its [crowdfunding goal][5] earlier this summer.

And if Corebird isn’t your cup of tea, check out [gFeedline][6]), another GTK3-based Twitter app.

More About Corebird:http://corebird.baedert.org/

--------------------------------------------------------------------------------

via: http://www.omgubuntu.co.uk/2013/10/corebird-twitter-app-gtk3-gnome

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

[1]:https://itunes.apple.com/gb/app/twitter/id409789998?mt=12%27
[2]:http://www.omgubuntu.co.uk/2013/09/10-best-features-gnome-3-10
[3]:https://aur.archlinux.org/packages/corebird-git/
[4]:http://www.omgubuntu.co.uk/2013/07/linux-twitter-app-birdie-perches-on-crowdfunding-bandwagon
[5]:http://www.omgubuntu.co.uk/2012/07/is-gfeedline-twitter-app-for-linux-any-good