Ubuntu 13.10 Review: A great Linux desktop gets better
================================================================================
***Summary**: Ubuntu 13.10 may not be the most exciting desktop Linux, but it is very solid and contains many useful new features.*

Many hardcore desktop fans still haven't forgiven Ubuntu for switching to its Unity interface. Others dislike how [Canonical][2], [Ubuntu][2]'s parent company, has gone its own way with such technical issues as working on the Mir display stack instead of the more mainstream Wayland. And, some people dislike how Ubuntu is combining "local" searches with Web searches. So what!

![](http://cdn-static.zdnet.com/i/r/story/70/00/021825/ubuntu-1310-saucy-salamander-620x349.jpg)

*Ubuntu 13.10 launches next week. Here's an early review.*

Here's all that really matters. Back in April 2011, Ubuntu's founder, Mark Shuttleworth said that the purpose of Ubuntu's new path was "to bring the [joys and freedoms and innovation and performance and security that have always been part of the Linux platform, to a consumer audience.][3]"  He's done it.

Sure, Ubuntu 13.10 Saucy Salamander, which has just gone into its final release candidate stage, isn't a desktop Linux that a Linux techie who still compiles his or her kernels from source code can love. But, it's not meant to be that kind of desktop.

It's meant to be a Linux desktop that anyone, say my now 81-year old mother-in-law can use. From that standpoint Ubuntu has been a success and this one week from final release version is even more of a win for people who just want to use a computer without tears.

To see how it was doing this time, I've been running the Ubuntu beta and the release candidate on two test systems. The first test box was my 2007 Dell Inspiron 530S, which is powered by a 2.2-GHz Intel Pentium E2200 dual-core processor. This PC has 4GBs of RAM, a 500GB SATA (Serial ATA) drive, and an Integrated Intel 3100 GMA (Graphics Media Accelerator) chip set. The second was a 2008-vintage Gateway DX4710. This PC is powered by a 2.5-GHz Intel Core 2 Quad processor, 6GBs of RAM, and a 1TB SATA drive. and also used an Intel GMA 3100 for graphics.

Installation was a cinch on all these systems. While I didn't try to install Ubuntu on a system locked down with Windows 8 Secure Boot, there are [good instructions on how to put Ubuntu on Windows 8 PCs][4] and other systems that use Unified Extensible Firmware Interface (UEFI).

One nice new feature about the installation is that during it, you're asked to either login or open a free [Ubuntu One][5] cloud service account. Ubuntu One is a Dropbox-like storage service which comes with 5GBs of no-cost storage. The [commercial version, at $39.95][6], gives you 20GBs of storage and music streaming. While this service works hand-in-glove with Ubuntu you can also its storage from Windows, Mac OS, Android and iOS.

The first thing I noticed once I had it installed was that on both of these older systems, Ubuntu 13.10 ran like a top. If you have an older PC of your own and you're concerned about its fast approaching XP expiration date, keep in mind that Ubuntu, and other easy-to-use Linux distributions such as Mint run just fine on hardware that Windows 7 and above might find too slow.

Looking under the hood, here's what I found. First, the Saucy Salamander is running the [Linux 3.11 kernel][7].

Above this foundation, you'll find the graphics stack. It was supposed to be Mir, but on PCs Mir just isn't ready for prime time. The Mir graphics stack has also faced both internal opposition from Ubuntu-related distributions such as [Kubuntu][8] and [external rejection from Intel][9].

The end result is that Ubuntu 13.10 will still be using the old Xorg-server 1.4.3 by default. You can elect to try Mir if you're feeling adventuresome. If you're going to be running Ubuntu on a smartphone, aka [Ubuntu Touch, you will be using the Mir graphics stack][10].

If you're a developer, this is a big deal. As Joe or Jane user, you won't notice it. For example, until Valve's Ubuntu-based SteamOS ships, Ubuntu is still going to be the best Linux for gaming. 

Above the graphics stack you'll find the GNOME 3.8-based Unity 7 interface. The new [Unity 8 interface][11], which emphasizes the use of the screen's edges to control a computing device, will be used in Ubuntu Touch 13.10, but it won't be the default on the desktop.

If you really can't stand Unity, you can easily install your Linux desktop of choice. Or, you can simply use another [Ubuntu-based Linux distribution][12] such as Kubuntu for KDE users, Mint for Cinnamon fans, or [Lubuntu][13] for LXDE enthusiasts. While the main Ubuntu with Unity is meant for new users, you really can run Ubuntu with any Linux desktop you like.

When the software for this edition of Ubuntu was being decided upon, it looked as if Chromium, the open-source version of Google's Chrome Web browser, would be the browser of choice. That didn't happen. Instead, Firefox 24 will be the default Web browser.

The other applications will also be familiar to any Ubuntu or Linux desktop user. They'll include LibreOffice 4.12 for the office suite; Thunderbird 24 for the e-mail client, Gimp 2.8.6 for photo editing, and Rhythmbox 2.99.1 as the default music player.

The most noticeable new feature to casual users will be [Smart Scopes][14], formerly known as Lens. When Lens was first introduced, all it did was integrate Amazon search results with local Unity Dash search results. This default feature was made eventually made optional. 

In Ubuntu 13.10, when you search with Unity Dash you'll have the option of having your local search not only look into Amazon but in Facebook, Google Drive, Yelp, and dozens of other online Web sites as well.

Here's how it works. When you enter a search term in the Unity Dash, Ubuntu will try to guess which searches are appropriate. So, for example, if I searched for "Mumford & Sons," it will search not just my PC, but for the group on the Web under the music category.

Each of these categories has multiple sources, or scopes. For example, selecting the "Reference" category will ensure that [Wikipedia][15]; [Wordnik][16], an online dictionary; and [Zotero][17], an Evernote-like program that works with Linux, are used for sources.

Worried about privacy on your Web-based searches? Ubuntu has addressed this by anonymizing both searches and their results.

Say you still don't want to have a thing to do with Web searches from your desktop? Don't sweat it. You can turn all of them off from Settings/Security & Privacy/Search. Or, what I recommend is you take the following steps to use only the online search scopes you feel comfortable with:

- Open the Application Scope (Super, aka Windows key, +A).
- Scroll down to Dash plugins.
- Select “See X more results.”
- Click on the Scope you want to disable.
- Click “Disable.”

Frankly, after some tweaking, I really like this feature. I also like the rest of Ubuntu 13.10. 

I've been using the operating system now for several weeks. It's worked well for me as a fast, secure and easy-to-use desktop.

While Unity isn't quite to my personal taste, Shuttleworth has been successful in making a Linux desktop that anyone can use. Don't believe me? Download [Saucy Salamander][18] and see for yourself.

--------------------------------------------------------------------------------

![](http://cdn-static.zdnet.com/i/r/author/steven-j-vaughan-nichols-140x105.jpg)

**About Steven J. Vaughan-Nichols**

Steven J. Vaughan-Nichols, aka sjvn, has been writing about technology and the business of technology since CP/M-80 was the cutting edge PC operating system. SJVN covers networking, Linux, open source, and operating systems.

--------------------------------------------------------------------------------

via: http://www.zdnet.com/ubuntu-13-10-review-a-great-linux-desktop-gets-better-7000021825/

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

[1]:http://www.canonical.com/
[2]:http://www.ubuntu.com/
[3]:http://www.markshuttleworth.com/archives/671
[4]:https://help.ubuntu.com/community/UEFI
[5]:https://one.ubuntu.com/
[6]:https://one.ubuntu.com/services
[7]:https://www.google.com/search?q=site:www.zdnet.com+Linuix+3.11
[8]:http://www.kubuntu.org/
[9]:http://cgit.freedesktop.org/xorg/driver/xf86-video-intel/commit/?id=58a7611
[10]:https://wiki.ubuntu.com/Mir/13.10/NoDefaultQ%26A
[11]:http://www.jonobacon.org/2013/08/27/ubuntu-in-a-nutshell-unity-and-convergence/
[12]:http://www.ubuntu.com/about/about-ubuntu/derivatives
[13]:https://wiki.ubuntu.com/Lubuntu
[14]:http://askubuntu.com/questions/310660/what-are-smart-scopes
[15]:http://www.wikipedia.org/
[16]:http://www.wordnik.com/
[17]:http://www.zotero.org/
[18]:http://releases.ubuntu.com/saucy